Package org.eclipse.lemminx.services.extensions

## Interface ILinkedEditingRangesParticipant

All Known Implementing Classes:
  `XMLReferencesLinkedEditingRangesParticipant`

    public interface ILinkedEditingRangesParticipant

Linked editing ranges participant API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `findLinkedEditingRanges​(ILinkedEditingRangesRequest request, List<org.eclipse.lsp4j.Range> ranges, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find linked editing ranges for DOM document and position defined in the given `request`.

### Method Detail

#### findLinkedEditingRanges

    void findLinkedEditingRanges​(ILinkedEditingRangesRequest request,
                                 List<org.eclipse.lsp4j.Range> ranges,
                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Find linked editing ranges for DOM document and position defined in the given `request`.

Parameters:
  `request` - the linked editing ranges request.
  `ranges` - the ranges to update.
  `cancelChecker` - the cancel checker.